/********************************************************
 * prime -- tell whether or not a number is prime.	*
 *							*
 * Programming Problem: 7-5.				*
 *							*
 * Usage:						*
 *	Run the program					*
 *	Type in the number.				*
 *	You will be told it is prime.			*
 *							*
 * Note: There are many advanced algorithms for 	*
 * figuring out if a number is prime.  This program	*
 * uses none of them.  We the brute force method.	*
 ********************************************************/
#include <iostream.h>

unsigned int number;	// Number we checking
unsigned int factor;	// Factor we are trying now

main()
{
    cout << "Enter number: ";
    cin >> number;

    if (number > 2) {
	factor = 2;
	while (factor < number) {
	    if ((number % factor) == 0) {
		break;
	    }
	    ++factor;
	}
    } else
       factor = number;	// 1 and 2 are prime

    if (factor < number) {
	cout << number << " has factors " << factor << " and " <<
			number / factor << '\n';
    } else {
	cout << number << " is prime\n";
    }
    return (0);
}
