/********************************************************
 * check -- print out an 8x8 checkerboard		*
 *							*
 * Each cell is 5 by 3.					*
 *							*
 * Programming problem: 8-1				*
 *							*
 * Usage:						*
 *	Run program, get results.			*
 ********************************************************/
#include <iostream.h>

const int cell_width = 5;	// Width of a single cell
const int cell_height = 3;	// Height of a cell

int row;	// Current row
int column;	// Current column

const int board_width = 8;	// Width of the board (in boxes)
const int board_height = 8;	// Height of the board (in boxes)


int row_char;		// Current character with a cell row
int col_char;		// Current character with a cell column

main()
{
    for (row = 0; row < board_height; ++row) {
	/*
	 * Print the top of the row
	 */
	for (column = 0; column < board_width; ++column) {
	    // Output corner of the cell
	    cout << '+';

	    // Output the top of the cell
	    for (col_char = 0; col_char < cell_width; ++col_char) 
		cout << '-';
	}
	cout << "+\n";

	/*
	 * Print the the body rows
	 */
	for (row_char = 0; row_char < cell_height; row_char++) {
	    for (column = 0; column < board_width; ++column)  {
		cout << '|';

		for (col_char = 0; col_char < cell_width; ++col_char) 
		    cout << ' ';
	    }
	    cout << "|\n";
	}
    }
	    
    /*
     * Print the bottom line
     */
    for (column = 0; column < board_width; ++column) {
	// Output corner of the cell
	cout << '+';

	// Output the top of the cell
	for (col_char = 0; col_char < cell_width; ++col_char) 
	    cout << '-';
    }
    cout << "+\n";
    return (0);
}
