/********************************************************
 * resist -- compute the resistance of a series of	*
 *	parallel resistors.				*
 *							*
 * Programming Problem: 8-2.				*
 *							*
 * Usage:						*
 *	Run the program.				*
 *	Type in the number of resistors.		*
 *	Type in each value.				*
 *	Get answer.					*
 *							*
 * Warning: We do not check for any resistor with value	*
 *	of zero.					*
 ********************************************************/
#include <iostream.h>

float cur_value;	// Current resistor value
float result = 0;	// Running result

int n_resistors;	// Number of resistors
int resistor_count;	// Counter for current input resistor

main()
{
    cout << "Enter number of resistors: ";
    cin >> n_resistors;

    for (resistor_count = 0; resistor_count < n_resistors; ++resistor_count) {
	cout << "Enter resistance of resistor #" << resistor_count << 
		" in ohms ";
	cin >> cur_value;

	result += 1.0 / cur_value;
    }
    cout << "Total resistance " << (1.0 / result) << " ohms\n";
    return (0);
}
