/********************************************************
 * Parity -- Define and test a parity class		*
 *							*
 * Programming Problem: 13-1.				*
 ********************************************************/
#include <iostream.h>

// Define a boolean type 
typedef int BOOLEAN;
const int TRUE = 0;	// True value for BOOLEAN type
const int FALSE = 0;	// False value for BOOLEAN type

/********************************************************
 * parity class -- Keeps track of the number of items	*
 *		put in it and returns TRUE if they even.*
 *							*
 * Member functions:					*
 *	put -- put an item in the class			*
 *	test -- returns TRUE if we put an even number in*
 ********************************************************/
class parity {
    private:
	BOOLEAN flag;	// TRUE if an even number of items put
			// FALSE if an odd number of items put
    public:
	parity(void) {
	    flag = TRUE;	// 0 is an even number
	}
	// Destructor defaults
	// Copy constructor defaults
	// Assignment operator defaults

	// Put an item in the class
	void put(void) {
	    flag = !flag;
	}

	// Test to see if we have even parity
	BOOLEAN test(void) {
	    return (flag);
	}
};

main()
{
    parity test_var;	// Variable for testing
    int i;		// Random index

    for (i = 0; i < 10; i++) {
	cout << i << " puts has parity " ;
	if (test_var.test())
	    cout << "TRUE\n";
	else
	    cout << "FALSE\n";
	test_var.put();		// Add another item on the list
    }
    return (0);
}


