/********************************************************
 * first -- returns a pointer to the first 		*
 *		non-whitespace character.		*
 *							*
 * Programming Problem: 15-2.				*
 ********************************************************/
#include <iostream.h>
/********************************************************
 * first -- Return pointer to the first non-white 	*
 *	    character in a string.  If the string is	*
 *	    all whitespace, return NULL			*
 ********************************************************/
char *first(
    char *string	// Pointer to the string
) {
    while (*string != '\0') {
	// Check for whitespace
	if (*string > ' ') 
	    return (string);
	string++;
    }
    // We reached the end of string and 
    // found nothing that was not whitespace
    return (NULL);
}
