/********************************************************
 * sum -- sum the elements in an array			*
 *							*
 * Programming Problem: 17-3				*
 ********************************************************/
#include <iostream.h>

// Array to sum
static int test_array[] = {4, 5, 8, 9, 13, 89, 234, 55, 88};
// Number of elements in the array
static int n_test_array = sizeof(test_array) / sizeof(test_array[0]);

/********************************************************
 * sum_array -- sum an array.				*
 *							*
 * Returns the sum					*
 ********************************************************/
inline int sum_array(
    register const int *array,	// Pointer to the array
    int n_array			// Number of elements in the array
)
{
    register int sum = 0;	// Sum of the values
    // Pointer to the last element of the array
    register const int *end_ptr = array + n_array;

    for (/*array set*/; array < end_ptr; ++array)
	sum += *array;
    
    return (sum);
}

main()
{
    cout << "The sum is: " << sum_array(test_array, n_test_array) << '\n';
    return (0);
}
