/********************************************************
 * dist -- find the distance between two points.	*
 *							*
 * Programming exercise: 6-1.				*
 *							*
 * Usage:						*
 *	Run the program.				*
 *	Type in point #1				*
 *	Type in point #2				*
 * 	Get a distance.					*
 *							*
 * Note: It is extremely difficult to solve this 	*
 * problem without the use of the square root 		*
 * function which we have NOT introduced yet in the	*
 * book.  Oops.						*
 ********************************************************/
#include <iostream.h>
#include <math.h>

float x_1, y_1;	// First point
float x_2, y_2;	// Second point
float distance;	// Distance

main()
{
    cout << "When entering points, separate the X from the Y with a space\n";

    cout << "Enter point #1: ";
    cin >> x_1 >> y_1;

    cout << "Enter point #2: ";
    cin >> x_2 >> y_2;

    /*
     * Since we don't have a square function we use x*x for x-squared
     */
    
    distance = sqrt((x_1 - x_2) * (x_1 - x_2) + (y_1 - y_2) * (y_1 - y_2));

    cout << "The distance between (" << x_1 << ',' << y_1 << 
	    ") and (" << x_2 << ',' << y_2 << 
	    ") is " << distance << '\n';

    return (0);
}
