/********************************************************
 * grade -- Give a student's grade (0-100) compute a 	*
 *	letter grade base on the following table:	*
 *		 0-60	F				*
 *		61-70	D				*
 *		71-80	C				*
 *		81-90	B				*
 *		90-100	A				*
 *		(anything over 100 is also an A)	*
 *		(anything less than 0 is an F)		*
 *							*
 * 	+/- modifiers are computed as follows:		*
 *	Last digit:					*
 *		1-3 	-				*
 *		4-7 	 				*
 *		8-0 	+				*
 *							*
 * Programming Problem: 6-3.				*
 *							*
 * Usage:						*
 *	Run the program.				*
 *	Enter the numerical grade.			*
 *	Get the letter back.				*
 *							*
 * Based on the simple grade program in "ch06/grades"	*
 ********************************************************/
#include <iostream.h>

char letter_grade;	// Letter grade
char modifier;		// Modifier to the grade (+/-/space)
int  number_grade;	// Numeric form of the grade
int  last_digit;	// Last digit of the grade


main()
{
    cout << "Enter grade number (0-100): ";
    cin >> number_grade;

    if (number_grade <= 60) 
	letter_grade = 'F';
    else if (number_grade <= 70)
	letter_grade = 'D';
    else if (number_grade <= 80)
	letter_grade = 'C';
    else if (number_grade <= 90)
	letter_grade = 'B';
    else 
	letter_grade = 'A';
    
    // Extract the last digit
    last_digit = number_grade % 10;	

    if ((last_digit >= 1) && (last_digit <= 3))
        modifier = '-';
    else if ((last_digit >= 4) && (last_digit <= 7))
	modifier = ' ';
    else 
	modifier = '+';

    // An F is an F is an F
    if (letter_grade == 'F')
	modifier = ' ';
    cout << number_grade << " translates to a letter grade of " << 
	    letter_grade << modifier << '\n';
    return (0);
}
