/********************************************************
 * date -- compute the number of days between two dates	*
 *							*
 * Programming Problem: 7-2				*
 *							*
 * Usage:						*
 *	Run the program.				*
 *	Type in date #1					*
 *	Type in date #2					*
 *	Difference is returned.				*
 *							*
 * Warning: This program does not know about leap years	*
 *							*
 * Note: This assumes American style date input		*
 ********************************************************/
#include <iostream.h>

// Note: These are long to make sure the calculations work on a PC
long int month_1, day_1, year_1;	// First date
long int month_2, day_2, year_2;	// Second day

long int begin_1;		// First date as days since 0/0/0
long int begin_2;		// Second date as days since 0/0/0

int month_index;		// Index into the month table

long int days_per_month[] = {
    31,		/* Jan */
    28,		/* Feb */
    31,		/* March */
    30,		/* April */
    31,		/* May */
    30,		/* June */
    31,		/* July */
    31,		/* August */
    30,		/* September */
    31,		/* Oct. */
    30,		/* Nov. */
    31		/* Dec. */
};

main()
{
    cout << "Enter the first date as MM DD YY: ";
    cin >> month_1 >> day_1 >> year_1;

    cout << "Enter the second date as MM DD YY: ";
    cin >> month_2 >> day_2 >> year_2;

    // Convert first date to days since day 0
    begin_1 = year_1 * 365 + day_1;
    month_index = month_1;
    while (month_index > 0) {
	begin_1 += days_per_month[month_index -1];
	--month_index;
    }

    // Convert second date to days since day 0
    begin_2 = year_2 * 365 + day_2;
    month_index = month_2;
    while (month_index > 0) {
	begin_2 += days_per_month[month_index -1];
	--month_index;
    }

    cout << month_1 << '/' << day_1 << '/' << year_1 << " differs from " <<
	    month_2 << '/' << day_2 << '/' << year_2 << " by " <<
	    (begin_1 - begin_2) << " days\n";

    return (0);
}
