/********************************************************
 * begins -- function to see if one string begins 	*
 *		another.				*
 *							*
 * Programming problem: 9-2				*
 *							*
 * Usage:						*
 *	Run the program.				*
 *	The program will ask for a test beginning and	*
 *	the test string and return the result.		*
 ********************************************************/
#include <iostream.h>

/********************************************************
 * begins -- returns true if one string begins another	*
 *							*
 * Returns						*
 *	True (non-zero) if string1 begins string2	*
 *							*
 * We do not return the bool type because it's not yet	*
 * portable.						*
 ********************************************************/
int begins(
   const char string1[], // Possible beginning
   const char string2[]  // String to test
)
{
    int str_index;	// Current string character

    for (str_index = 0; /* Taken care of below */; ++str_index) {
	if (string1[str_index] != string2[str_index]) {
	    // Did we run of string1?
	    if (string1[str_index] == '\0')
		return (1);
	    
	    // Difference
	    return (0);
	}
	// Characters are =, check for end of string
	if (string1[str_index] == '\0')
	    return (1);
    }
}
	    
main()
{
    const int STRING_MAX = 100;	// Longest possible string
    char string1[STRING_MAX];	// Test string
    char string2[STRING_MAX];	// Possible beginning

    cout << "Enter beginning string: ";
    cin.getline(string1, sizeof(string1));

    cout << "Enter test string: ";
    cin.getline(string2, sizeof(string2));

    if (begins(string1, string2)) 
	cout << '"' << string1 << "\" begins \"" << string2 << "\"\n";
    else
	cout << '"' << string1 << "\" does not begin \"" << string2 << "\"\n";

    return (0);
}

