/********************************************************
 * air -- structure to hold airline data		*
 *							*
 * Programming Problem: 12-3.				*
 *							*
 * This structure uses the time_date structure from	*
 * Programming problem: 12-2.
 ********************************************************/
struct time_date {
    int year;			// Year
    unsigned short int month;	// Month (1-12)
    unsigned short int day;	// Day (1-31)

    unsigned short int hour;	// Hour (0-23)
    unsigned short int minute;	// Minute (0-59)
    unsigned short int second;	// Second (0-59)
};

/*
 * Structure to Hold flight information
 */
struct fly {
    unsigned int flight_number;		// Flight number of the plane
    char from_airport[4];		// Where we start
    char to_airport[4];			// Where we end
    struct time_date departure;		// When we depart
    struct time_date arrival;		// When we get there
};
