/********************************************************
 * search -- search a list of files to find one to open	*
 *							*
 * Programing Problem: 23-2.				*
 ********************************************************/
#include <iostream.h>
#include <fstream.h>
/********************************************************
 * search_open -- looks through a list of files to	*
 *		find one that works, then open it.	*
 *							*
 * Returns						*
 *	True -- file opened				*
 *	False -- no file found				*
 ********************************************************/
int search_open(
    ifstream &in_file,		// File to be opened
    const char *const list[]	// List of names to open
) {
    int i;	// Index into file list

    for (i = 0; list[i] != NULL; ++i) {
       in_file.open(list[i]);
       if (!in_file.bad())
           return(1);
    }
    return (0);
}
