/********************************************************
 * io -- mailing list I/O module			*
 *							*
 * Functions defined:					*
 *	read_mail -- read in the mailing list		*
 *	write_mail -- write out the mailing list	*
 ********************************************************/

/********************************************************
 * read_mail -- read in the mailing list.		*
 *							*
 * Returns						*
 *	0 -- no error.					*
 *	NZ -- error occurred, message written.		*
 ********************************************************/
extern int read_mail(
    const char file_name[]	// Name of the file to read
);

/********************************************************
 * write_mail -- write out the mailing list.		*
 *							*
 * Returns						*
 *	0 -- no error.					*
 *	NZ -- error occurred, message written.		*
 ********************************************************/
extern int write_mail(
    const char file_name[]	// Name of the file to read
);

    

 
